Bug 239014 (CVE-2007-2509)

Summary: CVE-2007-2509 php CRLF injection
Product: [Other] Security Response Reporter: Mark J. Cox <mjc>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jorton, kreilly
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-16 14:06:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 239015, 239016, 239017, 239020, 239026, 239469, 239566, 278351, 278361    
Bug Blocks:    

Description Mark J. Cox 2007-05-04 13:36:09 UTC
PHP upstream release on 20070504 stated "- Fixed CRLF injection inside
ftp_putcmd(). (CVE-NO-NAME, by loveshell[at]Bug.Center.Team)"

Comment 1 Mark J. Cox 2007-05-08 15:32:41 UTC
text "A flaw was found in the PHP 'ftp' extension. If a PHP script used this
extension to provide access to a private FTP server, and passed untrusted
script input directly to any function provided by this extension, a remote
attacker would be able to send arbitrary FTP commands to the server.
(CVE-2007-2509)"

Comment 6 Red Hat Product Security 2008-01-16 14:06:57 UTC
This issue was addressed in:

Red Hat Application Stack:
  http://rhn.redhat.com/errata/RHSA-2007-0355.html

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0348.html
  http://rhn.redhat.com/errata/RHSA-2007-0889.html
  http://rhn.redhat.com/errata/RHSA-2007-0888.html
  http://rhn.redhat.com/errata/RHSA-2007-0349.html

Fedora:
  updated to fixed upstream version